Help with LC9 on 10.11 El Capitan

Getting into LiveCode for iOS? Ask your questions here.

Moderators: heatherlaine, Klaus, FourthWorld, robinmiller, kevinmiller

LiveCode_Panos
Livecode Staff Member
Livecode Staff Member
Posts: 495
Joined: Fri Feb 06, 2015 4:03 pm

Re: Help with LC9 on 10.11 El Capitan

Post by LiveCode_Panos » Tue Sep 04, 2018 8:38 am

Hello Josep,

Which version of LC did you use?

If you are on High Sierra with Xcode 9.4.x, then you have to use the latest LiveCode version (9.0.1 RC-2).

Hope this helps,
Panos
--

JosepM
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 342
Joined: Tue Jul 20, 2010 12:40 pm

Re: Help with LC9 on 10.11 El Capitan

Post by JosepM » Tue Sep 04, 2018 2:55 pm

Hi,

What is the right version of XCode for LC9.0.0?

LiveCode_Panos
Livecode Staff Member
Livecode Staff Member
Posts: 495
Joined: Fri Feb 06, 2015 4:03 pm

Re: Help with LC9 on 10.11 El Capitan

Post by LiveCode_Panos » Tue Sep 04, 2018 3:41 pm

It depends on the version of the OS:


LiveCode 9.0 – Xcode 7.2 -Mac OS 10.10
LiveCode 9.0 – Xcode 8.2 -Mac OS 10.11
LiveCode 9.0 – Xcode 9.2 -Mac OS 10.12.6+

Best,
Panos
--

JosepM
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 342
Joined: Tue Jul 20, 2010 12:40 pm

Re: Help with LC9 on 10.11 El Capitan

Post by JosepM » Tue Sep 25, 2018 8:34 pm

Hi,

I need build with iOS 12. What version I need?

LC9.0 with Xcode 10?

LiveCode_Panos
Livecode Staff Member
Livecode Staff Member
Posts: 495
Joined: Fri Feb 06, 2015 4:03 pm

Re: Help with LC9 on 10.11 El Capitan

Post by LiveCode_Panos » Wed Sep 26, 2018 8:26 am

Hello JosepM,

*Building* with the iOS 12 SDK (e.g. the SDK that is included in Xcode 10 is not supported in LC yet, but it will be supported in the next release.

However, if you want your app to run in iOS 12 devices too (this is different from *building* with the iOS 12 SDK), you can just rebuild the app with LiveCode 9.0.1, using the version of Xcode depending on the version of your Mac OS:

Xcode 7.2 Mac OS 10.10
Xcode 8.2 Mac OS 10.11
Xcode 9.2 Mac OS 10.12.6+
Xcode 9.4 Mac OS 10.13.4+

Best,
Panos
--

JosepM
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 342
Joined: Tue Jul 20, 2010 12:40 pm

Re: Help with LC9 on 10.11 El Capitan

Post by JosepM » Sun Nov 11, 2018 1:30 pm

Hi,

With the new LC9 RC can I build with Xcode 10.1?

Salut,
Josep M

LiveCode_Panos
Livecode Staff Member
Livecode Staff Member
Posts: 495
Joined: Fri Feb 06, 2015 4:03 pm

Re: Help with LC9 on 10.11 El Capitan

Post by LiveCode_Panos » Tue Nov 13, 2018 8:29 am

Hello Josep,

LC 9.0.2 RC1 does not support building with Xcode 10.1.

If you are on High Sierra or Mojave, you have to use Xcode 10.0.

You can have a look at the release notes to see the supported platforms and Xcode versions.

Kind regards,
Panos
--

JosepM
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 342
Joined: Tue Jul 20, 2010 12:40 pm

Re: Help with LC9 on 10.11 El Capitan

Post by JosepM » Tue Nov 13, 2018 10:38 am

So, better don't update to 10.1, right? any release date to build for Xcode 10.1?

LiveCode_Panos
Livecode Staff Member
Livecode Staff Member
Posts: 495
Joined: Fri Feb 06, 2015 4:03 pm

Re: Help with LC9 on 10.11 El Capitan

Post by LiveCode_Panos » Tue Nov 13, 2018 3:32 pm

Hello Josep,

If you upgrade to Xcode 10.1, you won't be able to use it with LC 9.0.2 rc1.

Support for building with Xcode 10.1 will probably come in LC 9.0.3 rc1, for which unfortunately we do not have an ETA yet.

Note that you can have multiple Xcode versions installed, so if you have already downloaded/upgraded to Xcode 10.1, and you do not want to delete it, then you can download Xcode 10.0 as well.

Kind regards,
Panos
--

JosepM
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 342
Joined: Tue Jul 20, 2010 12:40 pm

Re: Help with LC9 on 10.11 El Capitan

Post by JosepM » Tue Nov 13, 2018 3:33 pm

OK. Yes, you are right.
Thanks

Salut,
Josep M

Post Reply

Return to “iOS Deployment”